<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MovePrevDuplicate Method
Cursor Class See Also Send Feedback

If the previous key/data pair of the database is a duplicate data record for the current key/data pair, the cursor is moved to the previous key/data pair of the database, and that pair is stored in Current. MovePrevDuplicate returns false if the previous key/data pair of the database is not a duplicate data record for the current key/data pair.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public bool MovePrevDuplicate()

Visual Basic (Declaration)

    Public Function MovePrevDuplicate As Boolean

Visual C++

    public:
    bool MovePrevDuplicate()

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current contains an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

Cursor Class
MovePrevDuplicate Overload
BerkeleyDB Namespace